# Minkowski Structure Metrics Validations

Data files in this folder come from [this repository](https://github.com/ArvDee/Minkowski-structure-metrics-calculator/tree/master/testLattices) with work by Robin van Damme.

## Data Description

> Both the averaged and the non-averaged output Minkowski structure metrics should match the Steinhardt bond order parameters for the simple cubic (SC), face-centered cubic (FCC) and hexagonal close-packed (HCP) lattices, whose values are reported in Table 1 of Ref. [1].
> The BCC will not match the Steinhardt case, as the definition of the neighbours differs between the two.
> Two reference values for the Minkowski structure metrics of the BCC lattice are reported in Ref 2, section IIc.
>
> For each lattice there are 4 files that can be used: either a unit cell or a large lattice, and either in .dat or in .gsd format.
> All these should provide the same results.
>
> [1] Mickel et al. 2013, DOI 10.1063/1.4774084
> [2] Dietz et al. 2016, DOI 10.1103/PhysRevE.94.033207

## License

```
MIT License

Copyright (c) 2019 van Damme, R. (Robin)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
```
